> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/curveusd/curveusdlevcreatetransient.md).

# CurveUsdLevCreateTransient

### Description

Creates a new curveusd leveraged position with a given amount of collateral and debt

> **Notes**
>
> This action uses internal swapper with transient storage to create a loan

### Action ID

`0x46ae7c0b`

### SDK Action

```ts
const curveUsdLevCreateTransientAction = new dfs.actions.curveusd.CurveUsdLevCreateTransientAction(
    controllerAddress,
    from,
    collateralAmount,
    nBands,
    exchangeOrder,
    gasUsed
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param controllerAddress Address of the curveusd market controller
    /// @param from Address from which collAmount of collToken will be pulled
    /// @param collAmount Amount of collateral that the user is providing at first
    /// @param nBands Number of bands in which the collateral will be supplied for soft liquidation
    /// @param exData Exchange data for swapping (srcAmount will be amount of crvUSD to borrow and sell for collateral)
    /// @param gasUsed Only used as part of a strategy, estimated gas used for this tx
    struct Params {
        address controllerAddress;
        address from;
        uint256 collAmount;
        uint256 nBands;
        DFSExchangeData.ExchangeData exData;
        uint32 gasUsed;
    }
```

### Return Value

```solidity
return bytes32(debtGeneratedAndSold);
```

### Events and Logs

```solidity
emit ActionEvent("CurveUsdLevCreateTransient", logData);
logger.logActionDirectEvent("CurveUsdLevCreateTransient", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/curveusd/curveusdlevcreatetransient.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
